org.eclipse.incquery.viewers.runtime.validators

## Class EdgeValidator

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.validators.AbstractAnnotationValidator
  - - org.eclipse.incquery.viewers.runtime.validators.EdgeValidator

- All Implemented Interfaces:
    IPatternAnnotationAdditionalValidator

      public class EdgeValidator
      extends AbstractAnnotationValidator

  A validator for Item objects

  Note that this class uses the optional dependency org.eclipse.incquery.patternlanguage.emf!
  Author:
    Zoltan Ujhelyi

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.incquery.viewers.runtime.validators.AbstractAnnotationValidator

      `EXPRESSION_MISMATCH_ISSUE_CODE, GENERAL_ISSUE_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeAdditionalValidation(Annotation annotation, IIssueCallback validator)` Executes additional, annotation-specific validation on a pattern.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeValidator

          public EdgeValidator()

  - ### Method Detail

    - #### executeAdditionalValidation

          public void executeAdditionalValidation(Annotation annotation,
                                                  IIssueCallback validator)

      Description copied from interface: `IPatternAnnotationAdditionalValidator`
      Executes additional, annotation-specific validation on a pattern.
      Specified by:
        `executeAdditionalValidation` in interface `IPatternAnnotationAdditionalValidator`
      Overrides:
        `executeAdditionalValidation` in class `AbstractAnnotationValidator`
      Parameters:
        `annotation` - the pattern to validate
        `validator` - a callback validator to report errors and warnings